#
# spec file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  matgeom
Name:           octave-forge-%{octpkg}
Version:        1.2.3
Release:        1.5
Summary:        Geometry toolbox for Octave
License:        BSD-2-Clause
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io/%{octpkg}/
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  octave-devel >= 4.2.0
BuildArch:      noarch
Requires:       octave-cli >= 4.2.0

%description
Geometry toolbox for 2D/3D geometric computing.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Thu Sep 15 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 1.2.3:
  * This release corresponds to upstream matgeom-1.2.2 + developments,
    refer to the original matgeom website for news on that
* Wed Nov 27 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Initial package version (1.2.2)
